﻿Public Class frmMain

  
  Public states(0 To 5, 0 To 5) As Integer 'Save the current signal state
  Public device_number As Integer
  Public return_value As Integer


 
  Protected Overrides Sub OnPaint(ByVal e As System.Windows.Forms.PaintEventArgs)
    Dim g As Graphics
    Dim p As Pen
    p = New Pen(System.Drawing.Color.Red, 2)
    g = e.Graphics
    g.DrawLine(p, 10, 80, 1010, 80)
  End Sub


  Private Sub btn_list_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn_list.Click
    Dim sender1 As Object = Nothing
    Dim eventDummy As System.EventArgs = Nothing
    Dim serial_0, serial_1, serial_2 As Integer
    Dim loc_id As Integer
    Dim tier1, tier2, tier3, tier4, tier5 As Char
    txt_list.Text = ""

    ST1.Enabled = False
    ST2.Enabled = False
    ST3.Enabled = False
    ST4.Enabled = False
    setTowerOff(0)
    resetListBox()
    txt_list.Text = ""
    device_number = dll_comm.SetUsbDevice() 'Returns the number of connected devices
    If device_number = 0 Then
      txt_list.Text += "No USB Terminal Element found." & vbCrLf & "Please connect a device and search again."
    Else
      txt_list.Text += device_number & " USB Terminal Element found." & vbCrLf & "Please wait a moment..." & vbCrLf & vbCrLf
    End If

    Me.Refresh()

    For i = 1 To device_number Step 1

      return_value = (dll_comm.GetDeviceStatus(i, tier1, tier2, tier3, tier4, tier5)) 'Get the status of the USB Terminal Element
      If return_value <> 1 Then
        If MsgBox("Action could not be completed. Try again?", MsgBoxStyle.RetryCancel) = MsgBoxResult.Retry Then
          btn_list_Click(sender1, eventDummy)
        Else
          Exit Sub
        End If
      End If

      If i = 1 Then ST1.Enabled = True
      If i = 2 Then ST2.Enabled = True
      If i = 3 Then ST3.Enabled = True
      If i = 4 Then ST4.Enabled = True

      Refresh_Signaltower(i, tier1, tier2, tier3, tier4, tier5)
      txt_list.Text += "Device ID:" & i & vbCrLf
      If dll_comm.GetDeviceSerial(i, serial_0, serial_1, serial_2) Then 'Get the serial ID
        txt_list.Text += "Serial ID:" & serial_0 & "-" & serial_1 & "-" & serial_2 & vbCrLf
      End If
      If dll_comm.GetDeviceLocation(i, loc_id) Then 'Get the Location ID
        txt_list.Text += "Location ID:" & loc_id & vbCrLf & vbCrLf
      End If

      Me.Refresh()
    Next

    If device_number > 0 Then
      txt_list.Text += "... ready!"
    End If
  End Sub

  Private Sub S1_T1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles S1_T1.Click
    return_value = dll_comm.SetDeviceStatus(1, "0", "X", "X", "X", "X") 'Set the signal state of tier 1 to off on the device 1
    If return_value <> 1 Then
      Exit Sub
    End If
    p1_1.Image = My.Resources.LAMP_EMPTY_36x34
    ST1_ListBox1.SelectedIndex = (-1)
    states(1, 1) = 0
  End Sub

  Private Sub ST1_ListBox1_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ST1_ListBox1.SelectedIndexChanged
    If ST1_ListBox1.SelectedIndex = 0 Then
      return_value = dll_comm.SetDeviceStatus(1, "1", "X", "X", "X", "X") 'Set the signal state of tier 1 to permanent light on the device 1
      If return_value <> 1 Then
        Exit Sub
      End If
      p1_1.Image = My.Resources.LAMP_WHITE_ON_36x34
      states(1, 1) = 1
    End If
    If ST1_ListBox1.SelectedIndex = 1 Then
      return_value = dll_comm.SetDeviceStatus(1, "2", "X", "X", "X", "X") 'Set the signal state of tier 1 to blink mode 1 on the device 1
      If return_value <> 1 Then
        Exit Sub
      End If
      p1_1.Image = My.Resources.LAMP_WHITE_ON_36x34
      states(1, 1) = 2
    End If
    If ST1_ListBox1.SelectedIndex = 2 Then
      return_value = dll_comm.SetDeviceStatus(1, "3", "X", "X", "X", "X") 'Set the signal state of tier 1 to blink mode 2 on the device 1
      If return_value <> 1 Then
        Exit Sub
      End If
      p1_1.Image = My.Resources.LAMP_WHITE_ON_36x34
      states(1, 1) = 3
    End If
  End Sub

  Private Sub S1_T2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles S1_T2.Click
    return_value = dll_comm.SetDeviceStatus(1, "X", "0", "X", "X", "X") 'Set the signal state of tier 2 to off on the device 1
    If return_value <> 1 Then
      Exit Sub
    End If
    p1_2.Image = My.Resources.LAMP_EMPTY_36x34
    ST1_ListBox2.SelectedIndex = (-1)
    states(1, 2) = 0
  End Sub

  Private Sub ST1_ListBox2_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ST1_ListBox2.SelectedIndexChanged
    If ST1_ListBox2.SelectedIndex = 0 Then
      return_value = dll_comm.SetDeviceStatus(1, "X", "1", "X", "X", "X") 'Set the signal state of tier 2 to permanent light on the device 1
      If return_value <> 1 Then
        Exit Sub
      End If
      p1_2.Image = My.Resources.LAMP_BLUE_ON_36x34
      states(1, 2) = 1
    End If
    If ST1_ListBox2.SelectedIndex = 1 Then
      return_value = dll_comm.SetDeviceStatus(1, "X", "2", "X", "X", "X") 'Set the signal state of tier 2 to blink mode 1 on the device 1
      If return_value <> 1 Then
        Exit Sub
      End If
      p1_2.Image = My.Resources.LAMP_BLUE_ON_36x34
      states(1, 2) = 2
    End If
    If ST1_ListBox2.SelectedIndex = 2 Then
      return_value = dll_comm.SetDeviceStatus(1, "X", "3", "X", "X", "X") 'Set the signal state of tier 2 to blink mode 2 on the device 1
      If return_value <> 1 Then
        Exit Sub
      End If
      p1_2.Image = My.Resources.LAMP_BLUE_ON_36x34
      states(1, 2) = 3
    End If
  End Sub

  Private Sub S1_T3_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles S1_T3.Click
    return_value = dll_comm.SetDeviceStatus(1, "X", "X", "0", "X", "X") 'Set the signal state of tier 3 to off on the device 1
    If return_value <> 1 Then
      Exit Sub
    End If
    p1_3.Image = My.Resources.LAMP_EMPTY_36x34
    ST1_ListBox3.SelectedIndex = (-1)
    states(1, 3) = 0
  End Sub

  Private Sub ST1_ListBox3_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ST1_ListBox3.SelectedIndexChanged
    If ST1_ListBox3.SelectedIndex = 0 Then
      return_value = dll_comm.SetDeviceStatus(1, "X", "X", "1", "X", "X") 'Set the signal state of tier 3 to permanent light on the device 1
      If return_value <> 1 Then
        Exit Sub
      End If
      p1_3.Image = My.Resources.LAMP_GREEN_ON_36x34
      states(1, 3) = 1
    End If
    If ST1_ListBox3.SelectedIndex = 1 Then
      return_value = dll_comm.SetDeviceStatus(1, "X", "X", "2", "X", "X") 'Set the signal state of tier 3 to blink mode 1 on the device 1
      If return_value <> 1 Then
        Exit Sub
      End If
      p1_3.Image = My.Resources.LAMP_GREEN_ON_36x34
      states(1, 3) = 2
    End If
    If ST1_ListBox3.SelectedIndex = 2 Then
      return_value = dll_comm.SetDeviceStatus(1, "X", "X", "3", "X", "X") 'Set the signal state of tier 3 to blink mode 2 on the device 1
      If return_value <> 1 Then
        Exit Sub
      End If
      p1_3.Image = My.Resources.LAMP_GREEN_ON_36x34
      states(1, 3) = 3
    End If
  End Sub


  Private Sub S1_T4_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles S1_T4.Click
    return_value = dll_comm.SetDeviceStatus(1, "X", "X", "X", "0", "X") 'Set the signal state of tier 4 to off on the device 1
    If return_value <> 1 Then
      Exit Sub
    End If
    p1_4.Image = My.Resources.LAMP_EMPTY_36x34
    ST1_ListBox4.SelectedIndex = (-1)
    states(1, 4) = 0
  End Sub

  Private Sub ST1_ListBox4_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ST1_ListBox4.SelectedIndexChanged
    If ST1_ListBox4.SelectedIndex = 0 Then
      return_value = dll_comm.SetDeviceStatus(1, "X", "X", "X", "1", "X") 'Set the signal state of tier 4 to permanent light on the device 1
      If return_value <> 1 Then
        Exit Sub
      End If
      p1_4.Image = My.Resources.LAMP_YELLOW_ON_36x34
      states(1, 4) = 1
    End If
    If ST1_ListBox4.SelectedIndex = 1 Then
      return_value = dll_comm.SetDeviceStatus(1, "X", "X", "X", "2", "X") 'Set the signal state of tier 4 to blink mode 1 on the device 1
      If return_value <> 1 Then
        Exit Sub
      End If
      p1_4.Image = My.Resources.LAMP_YELLOW_ON_36x34
      states(1, 4) = 2
    End If
    If ST1_ListBox4.SelectedIndex = 2 Then
      return_value = dll_comm.SetDeviceStatus(1, "X", "X", "X", "3", "X") 'Set the signal state of tier 4 to blink mode 2 on the device 1
      If return_value <> 1 Then
        Exit Sub
      End If
      p1_4.Image = My.Resources.LAMP_YELLOW_ON_36x34
      states(1, 4) = 3
    End If
  End Sub

  Private Sub S1_T5_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles S1_T5.Click
    return_value = dll_comm.SetDeviceStatus(1, "X", "X", "X", "X", "0") 'Set the signal state of tier 5 to off on the device 1
    If return_value <> 1 Then
      Exit Sub
    End If
    p1_5.Image = My.Resources.LAMP_EMPTY_36x34
    ST1_ListBox5.SelectedIndex = (-1)
    states(1, 5) = 0
  End Sub

  Private Sub ST1_ListBox5_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ST1_ListBox5.SelectedIndexChanged
    If ST1_ListBox5.SelectedIndex = 0 Then
      return_value = dll_comm.SetDeviceStatus(1, "X", "X", "X", "X", "1") 'Set the signal state of tier 5 to permanent light on the device 1
      If return_value <> 1 Then
        Exit Sub
      End If
      p1_5.Image = My.Resources.LAMP_RED_ON_36x34
      states(1, 5) = 1
    End If
    If ST1_ListBox5.SelectedIndex = 1 Then
      return_value = dll_comm.SetDeviceStatus(1, "X", "X", "X", "X", "2") 'Set the signal state of tier 5 to blink mode 1 on the device 1
      If return_value <> 1 Then
        Exit Sub
      End If
      p1_5.Image = My.Resources.LAMP_RED_ON_36x34
      states(1, 5) = 2
    End If
    If ST1_ListBox5.SelectedIndex = 2 Then
      return_value = dll_comm.SetDeviceStatus(1, "X", "X", "X", "X", "3") 'Set the signal state of tier 5 to blink mode 2 on the device 1
      If return_value <> 1 Then
        Exit Sub
      End If
      p1_5.Image = My.Resources.LAMP_RED_ON_36x34
      states(1, 5) = 3
    End If
  End Sub

  Private Sub S2_T1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles S2_T1.Click
    return_value = dll_comm.SetDeviceStatus(2, "0", "X", "X", "X", "X") 'Set the signal state of tier 1 to off on the device 2
    If return_value <> 1 Then
      Exit Sub
    End If
    p2_1.Image = My.Resources.LAMP_EMPTY_36x34
    ST2_ListBox1.SelectedIndex = (-1)
    states(2, 1) = 0
  End Sub

  Private Sub ST2_ListBox1_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ST2_ListBox1.SelectedIndexChanged
    If ST2_ListBox1.SelectedIndex = 0 Then
      return_value = dll_comm.SetDeviceStatus(2, "1", "X", "X", "X", "X") 'Set the signal state of tier 1 to permanent light on the device 2
      If return_value <> 1 Then
        Exit Sub
      End If
      p2_1.Image = My.Resources.LAMP_WHITE_ON_36x34
      states(2, 1) = 1
    End If
    If ST2_ListBox1.SelectedIndex = 1 Then
      return_value = dll_comm.SetDeviceStatus(2, "2", "X", "X", "X", "X") 'Set the signal state of tier 1 to blink mode 1 on the device 2
      If return_value <> 1 Then
        Exit Sub
      End If
      p2_1.Image = My.Resources.LAMP_WHITE_ON_36x34
      states(2, 1) = 2
    End If
    If ST2_ListBox1.SelectedIndex = 2 Then
      return_value = dll_comm.SetDeviceStatus(2, "3", "X", "X", "X", "X") 'Set the signal state of tier 1 to blink mode 2 on the device 2
      If return_value <> 1 Then
        Exit Sub
      End If
      p2_1.Image = My.Resources.LAMP_WHITE_ON_36x34
      states(2, 1) = 3
    End If
  End Sub

  Private Sub S2_T2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles S2_T2.Click
    return_value = dll_comm.SetDeviceStatus(2, "X", "0", "X", "X", "X") 'Set the signal state of tier 2 to off on the device 2
    If return_value <> 1 Then
      Exit Sub
    End If
    p2_2.Image = My.Resources.LAMP_EMPTY_36x34
    ST2_ListBox2.SelectedIndex = (-1)
    states(2, 2) = 0
  End Sub

  Private Sub ST2_ListBox2_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ST2_ListBox2.SelectedIndexChanged
    If ST2_ListBox2.SelectedIndex = 0 Then
      return_value = dll_comm.SetDeviceStatus(2, "X", "1", "X", "X", "X") 'Set the signal state of tier 2 to permanent light on the device 2
      If return_value <> 1 Then
        Exit Sub
      End If
      p2_2.Image = My.Resources.LAMP_BLUE_ON_36x34
      states(2, 2) = 1
    End If
    If ST2_ListBox2.SelectedIndex = 1 Then
      return_value = dll_comm.SetDeviceStatus(2, "X", "2", "X", "X", "X")  'Set the signal state of tier 2 to blink mode 1 on the device 2
      If return_value <> 1 Then
        Exit Sub
      End If
      p2_2.Image = My.Resources.LAMP_BLUE_ON_36x34
      states(2, 2) = 2
    End If
    If ST2_ListBox2.SelectedIndex = 2 Then
      return_value = dll_comm.SetDeviceStatus(2, "X", "3", "X", "X", "X") 'Set the signal state of tier 2 to blink mode 2 on the device 2
      If return_value <> 1 Then
        Exit Sub
      End If
      p2_2.Image = My.Resources.LAMP_BLUE_ON_36x34
      states(2, 2) = 3
    End If
  End Sub

  Private Sub S2_T3_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles S2_T3.Click
    return_value = dll_comm.SetDeviceStatus(2, "X", "X", "0", "X", "X") 'Set the signal state of tier 3 to off on the device 2
    If return_value <> 1 Then
      Exit Sub
    End If
    p2_3.Image = My.Resources.LAMP_EMPTY_36x34
    ST2_ListBox3.SelectedIndex = (-1)
    states(2, 3) = 0
  End Sub

  Private Sub ST2_ListBox3_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ST2_ListBox3.SelectedIndexChanged
    If ST2_ListBox3.SelectedIndex = 0 Then
      return_value = dll_comm.SetDeviceStatus(2, "X", "X", "1", "X", "X") 'Set the signal state of tier 3 to permanent light on the device 2
      If return_value <> 1 Then
        Exit Sub
      End If
      p2_3.Image = My.Resources.LAMP_GREEN_ON_36x34
      states(2, 3) = 1
    End If
    If ST2_ListBox3.SelectedIndex = 1 Then
      return_value = dll_comm.SetDeviceStatus(2, "X", "X", "2", "X", "X") 'Set the signal state of tier 3 to blink mode 1 on the device 2
      If return_value <> 1 Then
        Exit Sub
      End If
      p2_3.Image = My.Resources.LAMP_GREEN_ON_36x34
      states(2, 3) = 2
    End If
    If ST2_ListBox3.SelectedIndex = 2 Then
      return_value = dll_comm.SetDeviceStatus(2, "X", "X", "3", "X", "X") 'Set the signal state of tier 3 to blink mode 2 on the device 2
      If return_value <> 1 Then
        Exit Sub
      End If
      p2_3.Image = My.Resources.LAMP_GREEN_ON_36x34
      states(2, 3) = 3
    End If
  End Sub


  Private Sub S2_T4_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles S2_T4.Click
    return_value = dll_comm.SetDeviceStatus(2, "X", "X", "X", "0", "X") 'Set the signal state of tier 4 to off on the device 2
    If return_value <> 1 Then
      Exit Sub
    End If
    p2_4.Image = My.Resources.LAMP_EMPTY_36x34
    ST2_ListBox4.SelectedIndex = (-1)
    states(2, 4) = 0
  End Sub

  Private Sub ST2_ListBox4_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ST2_ListBox4.SelectedIndexChanged
    If ST2_ListBox4.SelectedIndex = 0 Then
      return_value = dll_comm.SetDeviceStatus(2, "X", "X", "X", "1", "X") 'Set the signal state of tier 4 to permanent light on the device 2
      If return_value <> 1 Then
        Exit Sub
      End If
      p2_4.Image = My.Resources.LAMP_YELLOW_ON_36x34
      states(2, 4) = 1
    End If
    If ST2_ListBox4.SelectedIndex = 1 Then
      return_value = dll_comm.SetDeviceStatus(2, "X", "X", "X", "2", "X") 'Set the signal state of tier 4 to blink mode 1 on the device 2
      If return_value <> 1 Then
        Exit Sub
      End If
      p2_4.Image = My.Resources.LAMP_YELLOW_ON_36x34
      states(2, 4) = 2
    End If
    If ST2_ListBox4.SelectedIndex = 2 Then
      return_value = dll_comm.SetDeviceStatus(2, "X", "X", "X", "3", "X") 'Set the signal state of tier 4 to blink mode 2 on the device 2
      If return_value <> 1 Then
        Exit Sub
      End If
      p2_4.Image = My.Resources.LAMP_YELLOW_ON_36x34
      states(2, 4) = 3
    End If
  End Sub

  Private Sub S2_T5_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles S2_T5.Click
    return_value = dll_comm.SetDeviceStatus(2, "X", "X", "X", "X", "0") 'Set the signal state of tier 5 to off on the device 2
    If return_value <> 1 Then
      Exit Sub
    End If
    p2_5.Image = My.Resources.LAMP_EMPTY_36x34
    ST2_ListBox5.SelectedIndex = (-1)
    states(2, 5) = 0
  End Sub

  Private Sub ST2_ListBox5_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ST2_ListBox5.SelectedIndexChanged
    If ST2_ListBox5.SelectedIndex = 0 Then
      return_value = dll_comm.SetDeviceStatus(2, "X", "X", "X", "X", "1") 'Set the signal state of tier 5 to permanent light on the device 2
      If return_value <> 1 Then
        Exit Sub
      End If
      p2_5.Image = My.Resources.LAMP_RED_ON_36x34
      states(2, 5) = 1
    End If
    If ST2_ListBox5.SelectedIndex = 1 Then
      return_value = dll_comm.SetDeviceStatus(2, "X", "X", "X", "X", "2") 'Set the signal state of tier 5 to blink mode 1 on the device 2
      If return_value <> 1 Then
        Exit Sub
      End If
      p2_5.Image = My.Resources.LAMP_RED_ON_36x34
      states(2, 5) = 2
    End If
    If ST2_ListBox5.SelectedIndex = 2 Then
      return_value = dll_comm.SetDeviceStatus(2, "X", "X", "X", "X", "3") 'Set the signal state of tier 5 to blink mode 2 on the device 2
      If return_value <> 1 Then
        Exit Sub
      End If
      p2_5.Image = My.Resources.LAMP_RED_ON_36x34
      states(2, 5) = 3
    End If
  End Sub


  Private Sub S3_T1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles S3_T1.Click
    return_value = dll_comm.SetDeviceStatus(3, "0", "X", "X", "X", "X") 'Set the signal state of tier 1 to off on the device 3
    If return_value <> 1 Then
      Exit Sub
    End If
    p3_1.Image = My.Resources.LAMP_EMPTY_36x34
    ST3_ListBox1.SelectedIndex = (-1)
    states(3, 1) = 0
  End Sub

  Private Sub ST3_ListBox1_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ST3_ListBox1.SelectedIndexChanged
    If ST3_ListBox1.SelectedIndex = 0 Then
      return_value = dll_comm.SetDeviceStatus(3, "1", "X", "X", "X", "X")  'Set the signal state of tier 1 to permanent light on the device 3
      If return_value <> 1 Then
        Exit Sub
      End If
      p3_1.Image = My.Resources.LAMP_WHITE_ON_36x34
      states(3, 1) = 1
    End If
    If ST3_ListBox1.SelectedIndex = 1 Then
      return_value = dll_comm.SetDeviceStatus(3, "2", "X", "X", "X", "X") 'Set the signal state of tier 1 to blink mode 1 on the device 3
      If return_value <> 1 Then
        Exit Sub
      End If
      p3_1.Image = My.Resources.LAMP_WHITE_ON_36x34
      states(3, 1) = 2
    End If
    If ST3_ListBox1.SelectedIndex = 2 Then
      return_value = dll_comm.SetDeviceStatus(3, "3", "X", "X", "X", "X") 'Set the signal state of tier 1 to blink mode 2 on the device 3
      If return_value <> 1 Then
        Exit Sub
      End If
      p3_1.Image = My.Resources.LAMP_WHITE_ON_36x34
      states(3, 1) = 3
    End If
  End Sub

  Private Sub S3_T2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles S3_T2.Click
    return_value = dll_comm.SetDeviceStatus(3, "X", "0", "X", "X", "X") 'Set the signal state of tier 2 to off on the device 3
    If return_value <> 1 Then
      Exit Sub
    End If
    p3_2.Image = My.Resources.LAMP_EMPTY_36x34
    ST3_ListBox2.SelectedIndex = (-1)
    states(3, 2) = 0
  End Sub

  Private Sub ST3_ListBox2_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ST3_ListBox2.SelectedIndexChanged
    If ST3_ListBox2.SelectedIndex = 0 Then
      return_value = dll_comm.SetDeviceStatus(3, "X", "1", "X", "X", "X") 'Set the signal state of tier 2 to permanent light on the device 3
      If return_value <> 1 Then
        Exit Sub
      End If
      p3_2.Image = My.Resources.LAMP_BLUE_ON_36x34
      states(3, 2) = 1
    End If
    If ST3_ListBox2.SelectedIndex = 1 Then
      return_value = dll_comm.SetDeviceStatus(3, "X", "2", "X", "X", "X") 'Set the signal state of tier 2 to blink mode 1 on the device 3
      If return_value <> 1 Then
        Exit Sub
      End If
      p3_2.Image = My.Resources.LAMP_BLUE_ON_36x34
      states(3, 2) = 2
    End If
    If ST3_ListBox2.SelectedIndex = 2 Then
      return_value = dll_comm.SetDeviceStatus(3, "X", "3", "X", "X", "X") 'Set the signal state of tier 2 to blink mode 2 on the device 3
      If return_value <> 1 Then
        Exit Sub
      End If
      p3_2.Image = My.Resources.LAMP_BLUE_ON_36x34
      states(3, 2) = 3
    End If
  End Sub

  Private Sub S3_T3_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles S3_T3.Click
    return_value = dll_comm.SetDeviceStatus(3, "X", "X", "0", "X", "X") 'Set the signal state of tier 3 to off on the device 3
    If return_value <> 1 Then
      Exit Sub
    End If
    p3_3.Image = My.Resources.LAMP_EMPTY_36x34
    ST3_ListBox3.SelectedIndex = (-1)
    states(3, 3) = 0
  End Sub

  Private Sub ST3_ListBox3_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ST3_ListBox3.SelectedIndexChanged
    If ST3_ListBox3.SelectedIndex = 0 Then
      return_value = dll_comm.SetDeviceStatus(3, "X", "X", "1", "X", "X") 'Set the signal state of tier 3 to permanent light on the device 3
      If return_value <> 1 Then
        Exit Sub
      End If
      p3_3.Image = My.Resources.LAMP_GREEN_ON_36x34
      states(3, 3) = 1
    End If
    If ST3_ListBox3.SelectedIndex = 1 Then
      return_value = dll_comm.SetDeviceStatus(3, "X", "X", "2", "X", "X") 'Set the signal state of tier 3 to blink mode 1 on the device 3
      If return_value <> 1 Then
        Exit Sub
      End If
      p3_3.Image = My.Resources.LAMP_GREEN_ON_36x34
      states(3, 3) = 2
    End If
    If ST3_ListBox3.SelectedIndex = 2 Then
      return_value = dll_comm.SetDeviceStatus(3, "X", "X", "3", "X", "X") 'Set the signal state of tier 3 to blink mode 2 on the device 3
      If return_value <> 1 Then
        Exit Sub
      End If
      p3_3.Image = My.Resources.LAMP_GREEN_ON_36x34
      states(3, 3) = 3
    End If
  End Sub


  Private Sub S3_T4_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles S3_T4.Click
    return_value = dll_comm.SetDeviceStatus(3, "X", "X", "X", "0", "X") 'Set the signal state of tier 4 to off on the device 3
    If return_value <> 1 Then
      Exit Sub
    End If
    p3_4.Image = My.Resources.LAMP_EMPTY_36x34
    ST3_ListBox4.SelectedIndex = (-1)
    states(3, 4) = 0
  End Sub

  Private Sub ST3_ListBox4_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ST3_ListBox4.SelectedIndexChanged
    If ST3_ListBox4.SelectedIndex = 0 Then
      return_value = dll_comm.SetDeviceStatus(3, "X", "X", "X", "1", "X") 'Set the signal state of tier 4 to permanent light on the device 3
      If return_value <> 1 Then
        Exit Sub
      End If
      p3_4.Image = My.Resources.LAMP_YELLOW_ON_36x34
      states(3, 4) = 1
    End If
    If ST3_ListBox4.SelectedIndex = 1 Then
      return_value = dll_comm.SetDeviceStatus(3, "X", "X", "X", "2", "X") 'Set the signal state of tier 4 to blink mode 1 on the device 3
      If return_value <> 1 Then
        Exit Sub
      End If
      p3_4.Image = My.Resources.LAMP_YELLOW_ON_36x34
      states(3, 4) = 2
    End If
    If ST3_ListBox4.SelectedIndex = 2 Then
      return_value = dll_comm.SetDeviceStatus(3, "X", "X", "X", "3", "X") 'Set the signal state of tier 4 to blink mode 2 on the device 3
      If return_value <> 1 Then
        Exit Sub
      End If
      p3_4.Image = My.Resources.LAMP_YELLOW_ON_36x34
      states(3, 4) = 3
    End If
  End Sub

  Private Sub S3_T5_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles S3_T5.Click
    return_value = dll_comm.SetDeviceStatus(3, "X", "X", "X", "X", "0") 'Set the signal state of tier 5 to off on the device 3
    If return_value <> 1 Then
      Exit Sub
    End If
    p3_5.Image = My.Resources.LAMP_EMPTY_36x34
    ST3_ListBox5.SelectedIndex = (-1)
    states(3, 5) = 0
  End Sub

  Private Sub ST3_ListBox5_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ST3_ListBox5.SelectedIndexChanged
    If ST3_ListBox5.SelectedIndex = 0 Then
      return_value = dll_comm.SetDeviceStatus(3, "X", "X", "X", "X", "1") 'Set the signal state of tier 5 to permanent light on the device 3
      If return_value <> 1 Then
        Exit Sub
      End If
      p3_5.Image = My.Resources.LAMP_RED_ON_36x34
      states(3, 5) = 1
    End If
    If ST3_ListBox5.SelectedIndex = 1 Then
      return_value = dll_comm.SetDeviceStatus(3, "X", "X", "X", "X", "2") 'Set the signal state of tier 5 to blink mode 1 on the device 3
      If return_value <> 1 Then
        Exit Sub
      End If
      p3_5.Image = My.Resources.LAMP_RED_ON_36x34
      states(3, 5) = 2
    End If
    If ST3_ListBox5.SelectedIndex = 2 Then
      return_value = dll_comm.SetDeviceStatus(3, "X", "X", "X", "X", "3") 'Set the signal state of tier 5 to blink mode 2 on the device 3
      If return_value <> 1 Then
        Exit Sub
      End If
      p3_5.Image = My.Resources.LAMP_RED_ON_36x34
      states(3, 5) = 3
    End If
  End Sub

  Private Sub S4_T1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles S4_T1.Click
    return_value = dll_comm.SetDeviceStatus(4, "0", "X", "X", "X", "X") 'Set the signal state of tier 1 to off on the device 4
    If return_value <> 1 Then
      Exit Sub
    End If
    p4_1.Image = My.Resources.LAMP_EMPTY_36x34
    ST4_ListBox1.SelectedIndex = (-1)
    states(4, 1) = 0
  End Sub

  Private Sub ST4_ListBox1_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ST4_ListBox1.SelectedIndexChanged
    If ST4_ListBox1.SelectedIndex = 0 Then
      return_value = dll_comm.SetDeviceStatus(4, "1", "X", "X", "X", "X") 'Set the signal state of tier 1 to permanent light on the device 4
      If return_value <> 1 Then
        Exit Sub
      End If
      p4_1.Image = My.Resources.LAMP_WHITE_ON_36x34
      states(4, 1) = 1
    End If
    If ST4_ListBox1.SelectedIndex = 1 Then
      return_value = dll_comm.SetDeviceStatus(4, "2", "X", "X", "X", "X") 'Set the signal state of tier 1 to blink mode 1 on the device 4
      If return_value <> 1 Then
        Exit Sub
      End If
      p4_1.Image = My.Resources.LAMP_WHITE_ON_36x34
      states(4, 1) = 2
    End If
    If ST4_ListBox1.SelectedIndex = 2 Then
      return_value = dll_comm.SetDeviceStatus(4, "3", "X", "X", "X", "X") 'Set the signal state of tier 1 to blink mode 2 on the device 4
      If return_value <> 1 Then
        Exit Sub
      End If
      p4_1.Image = My.Resources.LAMP_WHITE_ON_36x34
      states(4, 1) = 3
    End If
  End Sub

  Private Sub S4_T2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles S4_T2.Click
    return_value = dll_comm.SetDeviceStatus(4, "X", "0", "X", "X", "X") 'Set the signal state of tier 2 to off on the device 4
    If return_value <> 1 Then
      Exit Sub
    End If
    p4_2.Image = My.Resources.LAMP_EMPTY_36x34
    ST4_ListBox2.SelectedIndex = (-1)
    states(4, 2) = 0
  End Sub

  Private Sub ST4_ListBox2_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ST4_ListBox2.SelectedIndexChanged
    If ST4_ListBox2.SelectedIndex = 0 Then
      return_value = dll_comm.SetDeviceStatus(4, "X", "1", "X", "X", "X") 'Set the signal state of tier 2 to permanent light on the device 4
      If return_value <> 1 Then
        Exit Sub
      End If
      p4_2.Image = My.Resources.LAMP_BLUE_ON_36x34
      states(4, 2) = 1
    End If
    If ST4_ListBox2.SelectedIndex = 1 Then
      return_value = dll_comm.SetDeviceStatus(4, "X", "2", "X", "X", "X") 'Set the signal state of tier 2 to blink mode 1 on the device 4
      If return_value <> 1 Then
        Exit Sub
      End If
      p4_2.Image = My.Resources.LAMP_BLUE_ON_36x34
      states(4, 2) = 2
    End If
    If ST4_ListBox2.SelectedIndex = 2 Then
      return_value = dll_comm.SetDeviceStatus(4, "X", "3", "X", "X", "X") 'Set the signal state of tier 2 to blink mode 2 on the device 4 
      If return_value <> 1 Then
        Exit Sub
      End If
      p4_2.Image = My.Resources.LAMP_BLUE_ON_36x34
      states(4, 2) = 3
    End If
  End Sub

  Private Sub S4_T3_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles S4_T3.Click
    return_value = dll_comm.SetDeviceStatus(4, "X", "X", "0", "X", "X") 'Set the signal state of tier 3 to off on the device 4
    If return_value <> 1 Then
      Exit Sub
    End If
    p4_3.Image = My.Resources.LAMP_EMPTY_36x34
    ST4_ListBox3.SelectedIndex = (-1)
    states(4, 3) = 0
  End Sub

  Private Sub ST4_ListBox3_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ST4_ListBox3.SelectedIndexChanged
    If ST4_ListBox3.SelectedIndex = 0 Then
      return_value = dll_comm.SetDeviceStatus(4, "X", "X", "1", "X", "X") 'Set the signal state of tier 3 to permanent light on the device 4
      If return_value <> 1 Then
        Exit Sub
      End If
      p4_3.Image = My.Resources.LAMP_GREEN_ON_36x34
      states(4, 3) = 1
    End If
    If ST4_ListBox3.SelectedIndex = 1 Then
      return_value = dll_comm.SetDeviceStatus(4, "X", "X", "2", "X", "X") 'Set the signal state of tier 3 to blink mode 1 on the device 4
      If return_value <> 1 Then
        Exit Sub
      End If
      p4_3.Image = My.Resources.LAMP_GREEN_ON_36x34
      states(4, 3) = 2
    End If
    If ST4_ListBox3.SelectedIndex = 2 Then
      return_value = dll_comm.SetDeviceStatus(4, "X", "X", "3", "X", "X") 'Set the signal state of tier 3 to blink mode 2 on the device 4
      If return_value <> 1 Then
        Exit Sub
      End If
      p4_3.Image = My.Resources.LAMP_GREEN_ON_36x34
      states(4, 3) = 3
    End If
  End Sub


  Private Sub S4_T4_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles S4_T4.Click
    return_value = dll_comm.SetDeviceStatus(4, "X", "X", "X", "0", "X") 'Set the signal state of tier 4 to off on the device 4
    If return_value <> 1 Then
      Exit Sub
    End If
    p4_4.Image = My.Resources.LAMP_EMPTY_36x34
    ST4_ListBox4.SelectedIndex = (-1)
    states(4, 4) = 0
  End Sub

  Private Sub ST4_ListBox4_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ST4_ListBox4.SelectedIndexChanged
    If ST4_ListBox4.SelectedIndex = 0 Then
      return_value = dll_comm.SetDeviceStatus(4, "X", "X", "X", "1", "X") 'Set the signal state of tier 4 to permanent light on the device 4
      If return_value <> 1 Then
        Exit Sub
      End If
      p4_4.Image = My.Resources.LAMP_YELLOW_ON_36x34
      states(4, 4) = 1
    End If
    If ST4_ListBox4.SelectedIndex = 1 Then
      return_value = dll_comm.SetDeviceStatus(4, "X", "X", "X", "2", "X") 'Set the signal state of tier 4 to blink mode 1 on the device 4
      If return_value <> 1 Then
        Exit Sub
      End If
      p4_4.Image = My.Resources.LAMP_YELLOW_ON_36x34
      states(4, 4) = 2
    End If
    If ST4_ListBox4.SelectedIndex = 2 Then
      return_value = dll_comm.SetDeviceStatus(4, "X", "X", "X", "3", "X") 'Set the signal state of tier 4 to blink mode 2 on the device 4
      If return_value <> 1 Then
        Exit Sub
      End If
      p4_4.Image = My.Resources.LAMP_YELLOW_ON_36x34
      states(4, 4) = 3
    End If
  End Sub

  Private Sub S4_T5_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles S4_T5.Click
    return_value = dll_comm.SetDeviceStatus(4, "X", "X", "X", "X", "0") 'Set the signal state of tier 5 to off on the device 4
    If return_value <> 1 Then
      Exit Sub
    End If
    p4_5.Image = My.Resources.LAMP_EMPTY_36x34
    ST4_ListBox5.SelectedIndex = (-1)
    states(4, 5) = 0
  End Sub

  Private Sub ST4_ListBox5_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ST4_ListBox5.SelectedIndexChanged
    If ST4_ListBox5.SelectedIndex = 0 Then
      return_value = dll_comm.SetDeviceStatus(4, "X", "X", "X", "X", "1") 'Set the signal state of tier 5 to permanent light on the device 4
      If return_value <> 1 Then
        Exit Sub
      End If
      p4_5.Image = My.Resources.LAMP_RED_ON_36x34
      states(4, 5) = 1
    End If
    If ST4_ListBox5.SelectedIndex = 1 Then
      return_value = dll_comm.SetDeviceStatus(4, "X", "X", "X", "X", "2") 'Set the signal state of tier 5 to blink mode 1 on the device 4
      If return_value <> 1 Then
        Exit Sub
      End If
      p4_5.Image = My.Resources.LAMP_RED_ON_36x34
      states(4, 5) = 2
    End If
    If ST4_ListBox5.SelectedIndex = 2 Then
      return_value = dll_comm.SetDeviceStatus(4, "X", "X", "X", "X", "3") 'Set the signal state of tier 5 to blink mode 2 on the device 4
      If return_value <> 1 Then
        Exit Sub
      End If
      p4_5.Image = My.Resources.LAMP_RED_ON_36x34
      states(4, 5) = 3
    End If
  End Sub


  Private Sub Refresh_Signaltower(ByVal number As Integer, ByVal tier1 As Char, ByVal tier2 As Char, ByVal tier3 As Char, ByVal tier4 As Char, ByVal tier5 As Char)

    If number = 1 Then
      If tier1 = "1" Or tier1 = "2" Or tier1 = "3" Then
        ST1_ListBox1.SelectedIndex = Val(tier1) - 1
        p1_1.Image = My.Resources.LAMP_WHITE_ON_36x34
      Else
        p1_1.Image = My.Resources.LAMP_EMPTY_36x34
      End If

      If tier2 = "1" Or tier2 = "2" Or tier2 = "3" Then
        ST1_ListBox2.SelectedIndex = Val(tier2) - 1
        p1_2.Image = My.Resources.LAMP_BLUE_ON_36x34
      Else
        p1_2.Image = My.Resources.LAMP_EMPTY_36x34
      End If

      If tier3 = "1" Or tier3 = "2" Or tier3 = "3" Then
        ST1_ListBox3.SelectedIndex = Val(tier3) - 1
        p1_3.Image = My.Resources.LAMP_GREEN_ON_36x34
      Else
        p1_3.Image = My.Resources.LAMP_EMPTY_36x34
      End If

      If tier4 = "1" Or tier4 = "2" Or tier4 = "3" Then
        ST1_ListBox4.SelectedIndex = Val(tier4) - 1
        p1_4.Image = My.Resources.LAMP_YELLOW_ON_36x34
      Else
        p1_4.Image = My.Resources.LAMP_EMPTY_36x34
      End If

      If tier5 = "1" Or tier5 = "2" Or tier5 = "3" Then
        ST1_ListBox5.SelectedIndex = Val(tier5) - 1
        p1_5.Image = My.Resources.LAMP_RED_ON_36x34
      Else
        p1_5.Image = My.Resources.LAMP_EMPTY_36x34
      End If

    End If


    If number = 2 Then
      If tier1 = "1" Or tier1 = "2" Or tier1 = "3" Then
        ST2_ListBox1.SelectedIndex = Val(tier1) - 1
        p2_1.Image = My.Resources.LAMP_WHITE_ON_36x34
      Else
        p2_1.Image = My.Resources.LAMP_EMPTY_36x34
      End If

      If tier2 = "1" Or tier2 = "2" Or tier2 = "3" Then
        ST2_ListBox2.SelectedIndex = Val(tier2) - 1
        p2_2.Image = My.Resources.LAMP_BLUE_ON_36x34
      Else
        p2_2.Image = My.Resources.LAMP_EMPTY_36x34
      End If

      If tier3 = "1" Or tier3 = "2" Or tier3 = "3" Then
        ST2_ListBox3.SelectedIndex = Val(tier3) - 1
        p2_3.Image = My.Resources.LAMP_GREEN_ON_36x34
      Else
        p2_3.Image = My.Resources.LAMP_EMPTY_36x34
      End If

      If tier4 = "1" Or tier4 = "2" Or tier4 = "3" Then
        ST2_ListBox4.SelectedIndex = Val(tier4) - 1
        p2_4.Image = My.Resources.LAMP_YELLOW_ON_36x34
      Else
        p2_4.Image = My.Resources.LAMP_EMPTY_36x34
      End If

      If tier5 = "1" Or tier5 = "2" Or tier5 = "3" Then
        ST2_ListBox5.SelectedIndex = Val(tier5) - 1
        p2_5.Image = My.Resources.LAMP_RED_ON_36x34
      Else
        p2_5.Image = My.Resources.LAMP_EMPTY_36x34
      End If
    End If

    If number = 3 Then
      If tier1 = "1" Or tier1 = "2" Or tier1 = "3" Then
        ST3_ListBox1.SelectedIndex = Val(tier1) - 1
        p3_1.Image = My.Resources.LAMP_WHITE_ON_36x34
      Else
        p3_1.Image = My.Resources.LAMP_EMPTY_36x34
      End If

      If tier2 = "1" Or tier2 = "2" Or tier2 = "3" Then
        ST3_ListBox2.SelectedIndex = Val(tier2) - 1
        p3_2.Image = My.Resources.LAMP_BLUE_ON_36x34
      Else
        p3_2.Image = My.Resources.LAMP_EMPTY_36x34
      End If

      If tier3 = "1" Or tier3 = "2" Or tier3 = "3" Then
        ST3_ListBox3.SelectedIndex = Val(tier3) - 1
        p3_3.Image = My.Resources.LAMP_GREEN_ON_36x34
      Else
        p3_3.Image = My.Resources.LAMP_EMPTY_36x34
      End If

      If tier4 = "1" Or tier4 = "2" Or tier4 = "3" Then
        ST3_ListBox4.SelectedIndex = Val(tier4) - 1
        p3_4.Image = My.Resources.LAMP_YELLOW_ON_36x34
      Else
        p3_4.Image = My.Resources.LAMP_EMPTY_36x34
      End If

      If tier5 = "1" Or tier5 = "2" Or tier5 = "3" Then
        ST3_ListBox5.SelectedIndex = Val(tier5) - 1
        p3_5.Image = My.Resources.LAMP_RED_ON_36x34
      Else
        p3_5.Image = My.Resources.LAMP_EMPTY_36x34
      End If
    End If

    If number = 4 Then
      If tier1 = "1" Or tier1 = "2" Or tier1 = "3" Then
        ST4_ListBox1.SelectedIndex = Val(tier1) - 1
        p4_1.Image = My.Resources.LAMP_WHITE_ON_36x34
      Else
        p4_1.Image = My.Resources.LAMP_EMPTY_36x34
      End If

      If tier2 = "1" Or tier2 = "2" Or tier2 = "3" Then
        ST4_ListBox2.SelectedIndex = Val(tier2) - 1
        p4_2.Image = My.Resources.LAMP_BLUE_ON_36x34
      Else
        p4_2.Image = My.Resources.LAMP_EMPTY_36x34
      End If

      If tier3 = "1" Or tier3 = "2" Or tier3 = "3" Then
        ST4_ListBox3.SelectedIndex = Val(tier3) - 1
        p4_3.Image = My.Resources.LAMP_GREEN_ON_36x34
      Else
        p4_3.Image = My.Resources.LAMP_EMPTY_36x34
      End If

      If tier4 = "1" Or tier4 = "2" Or tier4 = "3" Then
        ST4_ListBox4.SelectedIndex = Val(tier4) - 1
        p4_4.Image = My.Resources.LAMP_YELLOW_ON_36x34
      Else
        p4_4.Image = My.Resources.LAMP_EMPTY_36x34
      End If

      If tier5 = "1" Or tier5 = "2" Or tier5 = "3" Then
        ST4_ListBox5.SelectedIndex = Val(tier5) - 1
        p4_5.Image = My.Resources.LAMP_RED_ON_36x34
      Else
        p4_5.Image = My.Resources.LAMP_EMPTY_36x34
      End If
    End If
  End Sub

  Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
    Dim major, minor, build As Integer
    return_value = dll_comm.GetFirmwareVersion(1, major, minor, build) ' Read Firmware Version of device 1
    If return_value <> 1 Then
      MsgBox("Action could not be completed.")
      Exit Sub
    End If
    Label2.Text = "Version: " & major & "." & minor & "." & build
  End Sub

  Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click
    Dim major, minor, build As Integer
    return_value = dll_comm.GetFirmwareVersion(2, major, minor, build) ' Read Firmware Version of device 2
    If return_value <> 1 Then
      MsgBox("Action could not be completed.")
      Exit Sub
    End If
    Label3.Text = "Version: " & major & "." & minor & "." & build
  End Sub

  Private Sub Button3_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button3.Click
    Dim major, minor, build As Integer
    return_value = dll_comm.GetFirmwareVersion(3, major, minor, build) ' Read Firmware Version of device 3
    If return_value <> 1 Then
      MsgBox("Action could not be completed.")
      Exit Sub
    End If
    Label4.Text = "Version: " & major & "." & minor & "." & build
  End Sub

  Private Sub Button4_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button4.Click
    Dim major, minor, build As Integer
    return_value = dll_comm.GetFirmwareVersion(4, major, minor, build) ' Read Firmware Version of device 4
    If return_value <> 1 Then
      MsgBox("Action could not be completed.")
      Exit Sub
    End If
    Label5.Text = "Version: " & major & "." & minor & "." & build
  End Sub

  Private Sub setTowerOff(ByVal selection As Integer)
    If selection = 0 Or selection = 1 Then
      p1_1.Image = My.Resources.LAMP_EMPTY_36x34
      p1_2.Image = My.Resources.LAMP_EMPTY_36x34
      p1_3.Image = My.Resources.LAMP_EMPTY_36x34
      p1_4.Image = My.Resources.LAMP_EMPTY_36x34
      p1_5.Image = My.Resources.LAMP_EMPTY_36x34
    End If
    If selection = 0 Or selection = 2 Then
      p2_1.Image = My.Resources.LAMP_EMPTY_36x34
      p2_2.Image = My.Resources.LAMP_EMPTY_36x34
      p2_3.Image = My.Resources.LAMP_EMPTY_36x34
      p2_4.Image = My.Resources.LAMP_EMPTY_36x34
      p2_5.Image = My.Resources.LAMP_EMPTY_36x34
    End If
    If selection = 0 Or selection = 3 Then
      p3_1.Image = My.Resources.LAMP_EMPTY_36x34
      p3_2.Image = My.Resources.LAMP_EMPTY_36x34
      p3_3.Image = My.Resources.LAMP_EMPTY_36x34
      p3_4.Image = My.Resources.LAMP_EMPTY_36x34
      p3_5.Image = My.Resources.LAMP_EMPTY_36x34
    End If
    If selection = 0 Or selection = 4 Then
      p4_1.Image = My.Resources.LAMP_EMPTY_36x34
      p4_2.Image = My.Resources.LAMP_EMPTY_36x34
      p4_3.Image = My.Resources.LAMP_EMPTY_36x34
      p4_4.Image = My.Resources.LAMP_EMPTY_36x34
      p4_5.Image = My.Resources.LAMP_EMPTY_36x34
    End If
  End Sub

  Private Sub resetListBox()
    Label2.Text = ""
    Label3.Text = ""
    Label4.Text = ""
    Label5.Text = ""

    ST1_ListBox1.Enabled = True
    ST1_ListBox2.Enabled = True
    ST1_ListBox3.Enabled = True
    ST1_ListBox4.Enabled = True
    ST1_ListBox5.Enabled = True

    ST2_ListBox1.Enabled = True
    ST2_ListBox2.Enabled = True
    ST2_ListBox3.Enabled = True
    ST2_ListBox4.Enabled = True
    ST2_ListBox5.Enabled = True

    ST3_ListBox1.Enabled = True
    ST3_ListBox2.Enabled = True
    ST3_ListBox3.Enabled = True
    ST3_ListBox4.Enabled = True
    ST3_ListBox5.Enabled = True

    ST4_ListBox1.Enabled = True
    ST4_ListBox2.Enabled = True
    ST4_ListBox3.Enabled = True
    ST4_ListBox4.Enabled = True
    ST4_ListBox5.Enabled = True

    ST1_ListBox1.SelectedIndex = -1
    ST1_ListBox2.SelectedIndex = -1
    ST1_ListBox3.SelectedIndex = -1
    ST1_ListBox4.SelectedIndex = -1
    ST1_ListBox5.SelectedIndex = -1

    ST2_ListBox1.SelectedIndex = -1
    ST2_ListBox2.SelectedIndex = -1
    ST2_ListBox3.SelectedIndex = -1
    ST2_ListBox4.SelectedIndex = -1
    ST2_ListBox5.SelectedIndex = -1

    ST3_ListBox1.SelectedIndex = -1
    ST3_ListBox2.SelectedIndex = -1
    ST3_ListBox3.SelectedIndex = -1
    ST3_ListBox4.SelectedIndex = -1
    ST3_ListBox5.SelectedIndex = -1

    ST4_ListBox1.SelectedIndex = -1
    ST4_ListBox2.SelectedIndex = -1
    ST4_ListBox3.SelectedIndex = -1
    ST4_ListBox4.SelectedIndex = -1
    ST4_ListBox5.SelectedIndex = -1
  End Sub


  Private Sub Button5_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button5.Click
    frmInfo.ShowDialog()
  End Sub

  Private Sub frmMain_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load

  End Sub
End Class